# Downloads a failed event. Endpoint: GET /api/failed-events/{eventId} Version: v1 Security: authorization_code_dev, client_credentials_dev, authorization_code, client_credentials ## Path parameters: - `eventId` (string, required) The unique event id. ## Header parameters: - `ResourceUri` (string) ResourceUri to create the event subscriptions under. - `TenantId` (string) TenantId used by the customer. ## Response 200 fields (application/json): - `id` (string,null) The unique identifier of the event. Example: "550e8400-e29b-41d4-a716-446655440000" - `eventTime` (string) The date and time the event was originally created. - `subject` (string,null) The subject or resource path associated with the event. Example: "/subscriptions/b547f0fa-52a1-4ba7-b9ef-21a8e744bba6/resource-group/9f12f079-2824-4b79-a0b4-d85028ee85cd/providers/aritma.openbanking/accounts/d2aab6d9fd7a4e6eb99c49ec6e129cb2" - `eventType` (string,null) The type of event that was published. Example: "banking.payment.status.updated" - `deliveryAttempts` (integer) The total number of delivery attempts made for this event. Example: 11 - `lastHttpStatusCode` (integer) The HTTP status code returned by the last delivery attempt. Example: 500 - `lastDeliveryOutcome` (string,null) The outcome description of the last delivery attempt. Example: "GenericError" - `publishTime` (string) The date and time the event was published. - `lastDeliveryAttemptTime` (string) The date and time of the last delivery attempt. - `failureReason` (string,null) The reason the event delivery failed. Example: "TimeToLiveExceeded" - `data` (any,null) The event payload data. This may vary given the event type. Example: {"paymentId":"p1pd127721fce494cfaa4b0311c39c12d6c","endToEndIdentification":"0c8de8c7dcb24f0b980f9a0485dbf66f","transactionStatus":"ACCP","tppMessages":[],"_links":{"bulkPayment":{"href":"https://banking.aritma.io/api/bulk-payments/credit-transfer/p1b8060ed9e4e82412d9e6d781ffc1d405b","verb":"get"},"self":{"href":"https://banking.aritma.io/api/payments/credit-transfer/p1pd127721fce494cfaa4b0311c39c12d6c","verb":"get"}}} ## Response 400 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null) ## Response 404 fields (application/json): - `type` (string,null) - `title` (string,null) - `status` (integer,null) - `detail` (string,null) - `instance` (string,null)